    ----------------------------------------------------------------------------------------------------------------
    -- Get the actual production data from a Kostal Piko Inverter
    -- Base lua used IsItGonnaRain 
		--
    -- Uses Piko.py  http://sourceforge.net/projects/piko/files/
    -- 
    -- Written in LUA by Hans Roijmans
    -- summer 2015
    -- 26-06-2015 v0.1 Initial release
    --  
    -- Todo: routine to get the data between ':' and 'W(h)'
    -- Output of tempfilename = '/var/tmp/piko.tmp' 
    -- Total energy    : 11651331 Wh
		-- Today energy    : 13104 Wh
		-- DC Power        : 1454 W
		-- AC Power        : 1342 W
		-- Efficiency      : 92.3%
    ----------------------------------------------------------------------------------------------------------

    ----------------------------------------------------------------------------------------------------------
    -- Domoticz IDX and names of the needed device
    ----------------------------------------------------------------------------------------------------------
    local PIKOIDX = 1121
    ----------------------------------------------------------------------------------------------------------
    -- Script parameter
    ----------------------------------------------------------------------------------------------------------
    tempfilename = '/var/tmp/piko.tmp' 

    ----------------------------------------------------------------------------------------------------------
    -- CommandArray
    ----------------------------------------------------------------------------------------------------------
    commandArray = {}
      local PIKOIDX = 1121
      local kostal=127
      nowacint= 0
     a = 'Kostal' -- name of the Solarpanels
     h = tonumber((os.date('%H')))
     V = otherdevices_svalues[a]
     y = otherdevices_svalues['Zonsopgang']
     if V == ";" then 
    		V= "0;0" 
     end
     a,t = string.find(V, ";") -- vind het eerste gedeelte daarin staat het huidige wattage
     X= string.sub (V,1,t-1)
     -- print ('zonsopgang: ' .. otherdevices_svalues['Zonsopgang'])
 	if ( tonumber(h) < 23 and tonumber(h) > 4 ) then  
       read = os.execute('python /home/pi/domoticz/scripts/piko.py --host=10.0.0.2 -p -i -d > /var/tmp/piko.tmp') -- 
       file = io.open(tempfilename, "r")
       -- Read lines.
       line = file:read("*line")
    -- Total energy    : 11651331 Wh
       total=string.sub(tostring(line),18,27)
       line = file:read("*line")
    -- Today energy    : 13104 Wh
       today=string.sub(tostring(line),18,23)
       line = file:read("*line")
    -- DC Power        : 1454 W
       nowdc=string.sub(tostring(line),18,22)
       line = file:read("*line")
    -- AC Power        : 1342 W
       nowac=string.sub(tostring(line),18,22)
       file:close()   
     -- print ('Ac     : ' .. nowac)
	 -- print ('Ac     : ' .. tostring(string.len(nowac)))
	  if nowac == '     ' or string.len(nowac) == 0 then
	      nowac = '    1'
		  print ('Gevangen')
	  end
     --  print ('Vandaag: ' .. today)
       nowacint= tonumber(nowac)
       -- print ('Acint  : ' .. tostring(nowacint))
       Q = tonumber(otherdevices_svalues[kostal])
       --- USAGE1;USAGE2;RETURN1;RETURN2;CONS;PROD
	  
     if (tonumber(nowac) > 0 or tonumber(X) >10)  then    
       		commandArray = {['UpdateDevice'] = PIKOIDX .. '|0|' .. nowac .. ';' .. today }
       		-- commandArray = {['UpdateDevice'] = 1198 .. total .. ';'.. nowac }
       		commandArray['Variable:Lux'] =tostring(nowacint)
     end
    if  tonumber(h) <1  then    
            nowac= '0'
            today= '0'
       		commandArray = {['UpdateDevice'] = PIKOIDX .. '|0|' .. nowac .. ';' .. today }
     end
   end
    return commandArray